package com.clx.performance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.PageOwnerAccountListParam;
import com.clx.performance.param.pc.PageOwnerMarginAccountParam;
import com.clx.performance.param.pc.PageOwnerPrepaidFreightAccountParam;
import com.clx.performance.vo.pc.OwnerAccountRunningWaterRecordVO;
import com.clx.performance.vo.pc.OwnerAccountVO;

import java.util.List;

public interface OwnerAccountService {
    IPage<OwnerAccountVO> pageList(PageOwnerAccountListParam param);

    IPage<OwnerAccountRunningWaterRecordVO> marginAccountPageList(PageOwnerMarginAccountParam param);

    IPage<OwnerAccountRunningWaterRecordVO> prepaidFreightAccountPageList(PageOwnerPrepaidFreightAccountParam param);

    List<OwnerAccountVO> accountInfo(String ownerNo);
}
